"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lang = exports.Language = exports.resources = void 0;
const cs_CZ_1 = require("./dictionary/cs-CZ");
const en_GB_1 = require("./dictionary/en-GB");
exports.resources = {
    cs: cs_CZ_1.csCZ,
    en: en_GB_1.enGB,
};
class Language {
    constructor() {
        this.locale = 'en';
        this.resource = exports.resources;
    }
    setup(lang, resources) {
        this.locale = lang;
        this.resource = resources;
        this.resource = Object.assign(Object.assign({}, this.resource), resources);
    }
    addResource(lang, resource) {
        this.resource = Object.assign(Object.assign({}, this.resource), { [lang]: Object.assign(Object.assign({}, this.resource[lang]), resource) });
    }
    setLocale(val) {
        this.locale = val;
    }
    getLocale() {
        return this.locale;
    }
    getLocaleResource(locale) {
        return this.resource[locale];
    }
}
exports.Language = Language;
exports.lang = new Language();
