"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.t = void 0;
const init_1 = require("./init");
function t(key, variables) {
    const locale = init_1.lang.getLocale();
    if (!locale) {
        return false;
    }
    const resource = init_1.lang.getLocaleResource(locale);
    let message = key.split('.').reduce((previous, current) => previous[current], resource);
    if (!message) {
        return false;
    }
    Object.keys(variables !== null && variables !== void 0 ? variables : {}).forEach((name) => {
        const value = variables === null || variables === void 0 ? void 0 : variables[name];
        let replaceWith = null;
        const absValue = Math.abs(value);
        if (!isNaN(absValue)) {
            if (absValue === 1) {
                replaceWith = t(`${name}`);
            }
            if (absValue >= 2 && absValue <= 4) {
                replaceWith = t(`${name}_2`);
            }
            if (absValue === 0 || absValue >= 5) {
                replaceWith = t(`${name}_5`);
            }
        }
        if (!replaceWith) {
            replaceWith = value;
        }
        message = message.replaceAll(`{{${name}}}`, replaceWith);
    });
    return message;
}
exports.t = t;
